import { InputOperation } from "./input-operation.js";
import { InputParameter } from "./input-parameter.js";
import { ResponseLocation } from "./response-location.js";
export interface OperationPaging {
    NextLink?: NextLink;
    ContinuationToken?: ContinuationToken;
    ItemPropertySegments: string[];
}
export interface NextLink {
    Operation?: InputOperation;
    ResponseSegments: string[];
    ResponseLocation: ResponseLocation;
}
export interface ContinuationToken {
    Parameter: InputParameter;
    ResponseSegments: string[];
    ResponseLocation: ResponseLocation;
}
//# sourceMappingURL=operation-paging.d.ts.map